package com.happy.dao;

import com.happy.Model.weixin.Users;
import com.happy.vo.UnevaluatedOrder;

import java.util.List;

public interface UserDao {

    public int insert(Users users);

    // 修改信息
    public int update(Users users);

    /**
     * 修改信息通过用户参数
      * @param users
     * @return
     */
    public int updateUserByParam(Users users);

    public int del(int id);

    public Users queryByNum(String card_number);

    public int updateOpenid(String openid,String card_number);

    /**
     * 通过用户的id查询用户表
     * @param userId
     * @return
     */
    public Users queryByUserId(String userId);

    /**
     * 通过用户的openid查询用户
      * @param openid
     * @return
     */
    public Users queryByOpenid(String openid);

    public int queryUserTotal(String sqlStr);
    public List<Users> queryUserPage(String sqlx, int page, int rows);

    UnevaluatedOrder collect(String hotelId1, Integer createId1);

}
